Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972411 - submitting malformed CSV to CSV import causes 500 error
Summary: submitting malformed CSV to CSV import causes 500 error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: web UI
Version: 0.12
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 0.13.x
Assignee: Dan Callaghan
QA Contact: wangjing
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 08:27 UTC by wangjing
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-11 02:44:59 UTC


Attachments (Terms of Use)

Comment 1 Dan Callaghan 2013-06-19 00:30:59 UTC
On Gerrit: http://gerrit.beaker-project.org/2040

Comment 3 wangjing 2013-06-21 02:18:29 UTC
Verify:
1. Admin->Import
2. import a wrong file, such as a picture.
3. click button 'Import CSV'.

Actual results:
same as expected results.

Expected results:
no 500 errors and return proper warning text 'Missing csv_type from record
Error parsing CSV file: line contains NULL byte'

Version:
beaker-server-0.13.1-1.git.16.497fc35.el6.noarch
beaker-0.13.1-1.git.16.497fc35.el6.noarch
beaker-server-redhat-0.1.14-1.el6eng.noarch

Comment 4 Amit Saha 2013-07-11 02:44:59 UTC
Beaker 0.13.2 has been released. (http://beaker-project.org/docs/whats-new/release-0.13.html#beaker-0-13-2).


Note You need to log in before you can comment on or make changes to this bug.